export declare class RCardHeaderComponent {
}
/**
 * Component intended to be used within  the `<r-card>` component.
 * Adds styles for a preset body section.
 */
export declare class RCardBodyComponent {
}
/**
 * Component intended to be used within  the `<r-card>` component.
 * Adds styles for a preset footer section.
 */
export declare class RCardFooterComponent {
}
export declare class RCardComponent {
    get size(): string;
    set size(value: string);
    _size: string;
    /**
     * Card status:
     * `basic`, `primary`, `info`, `success`, `warning`, `danger`, `control`
     */
    status: string;
    /**
     * Card accent (color of the top border):
     * `basic`, `primary`, `info`, `success`, `warning`, `danger`, `control`
     */
    accent: string;
    get tiny(): boolean;
    get small(): boolean;
    get medium(): boolean;
    get large(): boolean;
    get giant(): boolean;
    get primary(): boolean;
    get info(): boolean;
    get success(): boolean;
    get warning(): boolean;
    get danger(): boolean;
    get basic(): boolean;
    get control(): boolean;
    get hasAccent(): string;
    get primaryAccent(): boolean;
    get infoAccent(): boolean;
    get successAccent(): boolean;
    get warningAccent(): boolean;
    get dangerAccent(): boolean;
    get basicAccent(): boolean;
    get controlAccent(): boolean;
}
